Subject: Re: [PATCH] gitweb: Show project README if available

From: Jakub Narebski <[email-masked]>
Date: Tue, 10 Oct 2006 13:21:17 +0200

Petr Baudis wrote:

> Dear diary, on Tue, Oct 10, 2006 at 06:33:54AM CEST, I got a letter
> where Junio C Hamano <[email-masked]> said that...
>> Junio C Hamano <[email-masked]> writes:
>> 
>> > Petr Baudis <[email-masked]> writes:
>> >
>> >> If the project includes a README file, show it in the summary page.
>> >...
>> > I wonder how this should relate to .git/description file,
>> > though.  In other words, it _might_ make sense to change where
>> > we show the contents of description right now to show the first
>> > line and take README from the same location.
> 
> In principle I like this idea. One problem is that description is not
> supposed to contain HTML and my README is (perhaps it should read
> README.html instead), and I really want README to. And if it's not
> plaintext, division of the first line and the rest does not work so
> well:

Perhaps we should assume $GIT_DIR/README to be text/plain (and useable
as motd), and $GIT_DIR/README.html as text/html, preffering the README.html.
The "problem" is if README.html is HTML _fragment_, or is it self contained
HTML (and we should use iframe, object, or strip it).
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git